Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.agentmark.co/v1/spans/{spanId} \ --header 'Authorization: Bearer <token>' \ --header 'X-Agentmark-App-Id: <api-key>'
{ "data": { "cost": 123, "duration_ms": 123, "id": "<string>", "input": "<string>", "input_tokens": 1, "metadata": {}, "model": "<string>", "name": "<string>", "output": "<string>", "output_object": "<string>", "output_tokens": 1, "parent_id": "<string>", "prompt_name": "<string>", "service_name": "<string>", "span_kind": "<string>", "status_message": "<string>", "timestamp": "2023-11-07T05:31:56Z", "tokens": 1, "tool_calls": "<string>", "trace_id": "<string>", "type": "<string>" } }
Fetch a single span by its globally-unique span_id, without needing its trace_id. Returns the full span: metadata plus its input/output payload (the span analog of GET /v1/traces/:traceId).
Application ID for tenant scoping
API key (sk_agentmark_*)
The full span (metadata + I/O payload).
Show child attributes